<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@datashaper/react](./react.md) &gt; [useIncrementingColumnColorScale](./react.useincrementingcolumncolorscale.md)

## useIncrementingColumnColorScale() function

Creates a thematic nominal color scale function that auto-increments for the numeric columns in a table.

<b>Signature:</b>

```typescript
export declare function useIncrementingColumnColorScale(meta?: TableMetadata): () => string;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  meta | TableMetadata | <i>(Optional)</i> |

<b>Returns:</b>

() =&gt; string


